hoader Posted January 6, 2010 Posted January 6, 2010 I have a drawing using Autocad 2008 with a large circle containing 3 small circles, none intersecting. How do I measure the shortest distance from the edge of the large circle to the edge of the smaller circle. I also want to measure the distance between the edge of the smaller circles. Any method I tried gave me the center of the circle. Cadkey has options like center, end, tan-tan, tan-perp, perp-tan, etc to include all possibilities. Quote
CarlB Posted January 6, 2010 Posted January 6, 2010 You can use osnaps with the distance command as well, such as 'nea 'tan 'perp etc. If that didn't work for some reason, for shortest distance you could use cen-cen, then subtract the radii. Quote
iskalipsi Posted January 6, 2010 Posted January 6, 2010 I have a drawing using Autocad 2008 with a large circle containing 3 small circles, none intersecting. How do I measure the shortest distance from the edge of the large circle to the edge of the smaller circle. I also want to measure the distance between the edge of the smaller circles. Any method I tried gave me the center of the circle. Cadkey has options like center, end, tan-tan, tan-perp, perp-tan, etc to include all possibilities. Can this help? Quote
ronjonp Posted January 7, 2010 Posted January 7, 2010 Heres an ugly way to do it: (defun c:whee (/ cir circles next pt pt2 x) (princ "\nSelect circles meng: ") (setq circles (ssget '((0 . "circle")))) (foreach c (cdr (setq circles (vl-sort (mapcar '(lambda (x) (list (cdr (assoc 10 (entget x))) (cdr (assoc 40 (entget x))) x ) ) (vl-remove-if 'listp (mapcar 'cadr (ssnamex circles))) ) (function (lambda (d1 d2) (> (cadr d1) (cadr d2)))) ) ) ) (setq pt (vlax-curve-getclosestpointto (caddar circles) (car c))) (grdraw (setq pt2 (polar (car c) (angle (car c) pt) (cadr c))) pt 1) (command "_.dimaligned" pt pt2 pt) ) (setq cir (append (cdr circles) (list (cadr circles)))) (while (and (setq next (cadr cir)) (setq x (car cir))) (setq pt (vlax-curve-getclosestpointto (last next) (car x))) (grdraw (setq pt2 (polar (car x) (angle (car x) pt) (cadr x))) pt 1) (command "_.dimaligned" pt pt2 pt) (setq cir (cdr cir)) ) (princ) ) Quote
hoader Posted January 8, 2010 Author Posted January 8, 2010 Yes that does look very ugly. Does it really work? Quote
ronjonp Posted January 8, 2010 Posted January 8, 2010 Yes that does look very ugly. Does it really work? You're supposed to tell me if it works Quote
Tankman Posted January 9, 2010 Posted January 9, 2010 Nice work Geobuilder! The video is excellent too. I just can't read the Russian menu pop-up! :wink: Quote
Bill Tillman Posted January 12, 2010 Posted January 12, 2010 I would just draw lines between the centers of the circles and trimmed using the circle as the cutting plane. The line your left with is the shortest distance between them. Quote
BearDyugin Posted January 13, 2010 Posted January 13, 2010 Thanks Tankman I hope Russian pictogrammes coincide with the English Quote
BearDyugin Posted January 13, 2010 Posted January 13, 2010 How did you make that video? Camtasia Studio Quote
iskalipsi Posted January 21, 2010 Posted January 21, 2010 Thanks TankmanI hope Russian pictogrammes coincide with the English Geobuilder, How did you load the video? and what,s its format? Quote
motoxrcr Posted January 22, 2010 Posted January 22, 2010 Nice tutorial Geobuilder, I have never seen acad in Russian. Rick Quote
BearDyugin Posted January 22, 2010 Posted January 22, 2010 Geobuilder, How did you load the video? and what,s its format? Record the screen Edited and save your video in GIF format Loaded your animation on Image Hosting site When you will write the message use the button and in the appeared window enter url your picture from Image Hosting site For 1 and 2 points I use Camtasia Studio , but there is also a great number of other programs, even the free On 3 point it is better to use the checked up large site where it is possible to be registered and supervise all loaded images, differently through some time you can receive in the old messages. Quote
BearDyugin Posted January 22, 2010 Posted January 22, 2010 Nice tutorial Geobuilder, I have never seen acad in Russian.Rick All for the sake of you Quote
iskalipsi Posted January 22, 2010 Posted January 22, 2010 thanks, i'll try that on my free time.If all replies are made just like that... Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.